Get mempool entries
curl --request GET \
--url https://api.kas.fyi/v1/rpc/getMempoolEntries \
--header 'x-api-key: <api-key>'import requests
url = "https://api.kas.fyi/v1/rpc/getMempoolEntries"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.kas.fyi/v1/rpc/getMempoolEntries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mempoolEntries": [
{
"fee": "1000",
"transaction": {
"version": 1,
"inputs": [
{
"previousOutpoint": {
"transactionId": "34e9538fd3225652553930657c3d767d5ccab0fcd545038a69c202e45929dcd6",
"index": 0
},
"sequence": "4294967295",
"sigOpCount": 1,
"signatureScript": "0x473044..."
}
],
"outputs": [
{
"value": "1000000000",
"scriptPublicKey": "<string>",
"verboseData": {
"scriptPublicKeyType": "pubkeyhash",
"scriptPublicKeyAddress": "kaspa:qpzpfwcsqsxhxwup26r55fd0ghqlhyugz8cp6y3wxuddc02vcxtjg75pspnwz"
}
}
],
"lockTime": "0",
"subnetworkId": "0100000000000000000000000000000000000000",
"gas": "0",
"payload": "0x",
"mass": "1000",
"verboseData": {
"transactionId": "34e9538fd3225652553930657c3d767d5ccab0fcd545038a69c202e45929dcd6",
"hash": "34e9538fd3225652553930657c3d767d5ccab0fcd545038a69c202e45929dcd6",
"computeMass": "1000",
"blockHash": "34e9538fd3225652553930657c3d767d5ccab0fcd545038a69c202e45929dcd6",
"blockTime": "1638360000000"
}
},
"isOrphan": false
}
]
}Mempool
Get mempool entries
Retrieves all mempool entries with optional filtering.
GET
/
v1
/
rpc
/
getMempoolEntries
Get mempool entries
Cost
This endpoint costs 0.1 RU (Request Units) per call.Authorizations
API key required for authentication. Get your API key at https://developer.kas.fyi
Query Parameters
Whether to include orphan pool transactions
Whether to filter transaction pool
Response
200 - application/json
Mempool entries retrieved successfully
Array of mempool entries
Show child attributes
Show child attributes
⌘I